<?php
require_once('includes/conecta.php');

// Obtém os valores dos campos do formulário
$nome_site = $_POST['nome_site'];
$endereco = $_POST['endereco'];
$cep = $_POST['cep'];
$cidade = $_POST['cidade'];
$telefone = $_POST['telefone'];
$whatsapp_numero = $_POST['whatsapp_numero'];
$whatsapp_link = $_POST['whatsapp_link'];
$email = $_POST['email'];
$facebook = $_POST['facebook'];
$instagram = $_POST['instagram'];
$meta_tags = $_POST['meta_tags'];
$meta_descriptions = $_POST['meta_descriptions'];
$google_maps = $_POST['google_maps'];


// Executa a query de update
$sql = "UPDATE config SET nome_site='$nome_site', endereco='$endereco', cep='$cep', cidade='$cidade', telefone='$telefone', whatsapp_numero='$whatsapp_numero', whatsapp_link='$whatsapp_link', email='$email', facebook='$facebook', instagram='$instagram', meta_tags='$meta_tags', meta_descriptions='$meta_descriptions', google_maps='$google_maps' WHERE id=1";

if (mysqli_query($conn, $sql)) {
  // Redireciona o usuário para a página de destino
header('Location: configuracoes.php?atualizado=ok');
exit;
} else {
  echo "Erro ao atualizar dados: " . mysqli_error($conn);
}

// Fecha a conexão com o MySQL
mysqli_close($conn);
?>